package com.dskj.znzn.transData.web.waveData.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dskj.znzn.transData.common.base.PageR;
import com.dskj.znzn.transData.web.waveData.entity.WaveData;
import com.dskj.znzn.transData.web.waveData.indata.GetMesureDataInData;
import com.dskj.znzn.transData.web.waveData.indata.GetMesureWithSFDataInData;

import java.util.List;

public interface IWaveDataService extends IService<WaveData> {
    List<WaveData> getMesureData(GetMesureDataInData inData);

    WaveData getById(String windCode, Integer id);

    PageR<WaveData> getMesureDataWithSF(GetMesureWithSFDataInData inData);

    List<String> getAllSamplingFrequency(String windCode);
}
